﻿html, body, #appLayout 
{
    width: 100%; height: 100%;
    border: 0; padding: 0; margin: 0;    
    
   /* height: 100%;
    margin: 0;
    overflow: hidden;
    padding: 0;*/
}

.pageOverlay {
    top: 0;
    left: 0;
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: 1001;
    display: block;
}

#loadingOverlay {
    background:  #fff url(loadingAnimation.gif) no-repeat 10px 23px;
    /*background:  #003366 url(loadingAnimation.gif) no-repeat 10px 23px;*/
}

.loadingMessage {
    padding: 25px 40px;
    color: #999;
}

.dijitDialogUnderlay {
     /* background: green; */
     opacity: 0;
}
 
#appLayout {
    height: 100%;
}

#leftCol {
   /* width: 25em;*/
   width: 257px;
}
 

.claro .myBackGround {
    background-color: #003366;
    color: #ffffff; /*#f0f0f0;*/
    font-family: baloon TL,tahoma; 
}

a {
    color: #ffffff;
}

a:link, a:visited {
    color: #ffffff;
}
a:hover, a:active {
    color: #ffff00;
}

.mySmallFont 
{
    font-size: 10px;
    font-weight: normal; /*bold;*/
}

.myBigFont 
{
    font-size: 20px;
    font-weight: normal; /*bold;*/
}

.myMainCaption
{
    margin-top: 6px;
    margin-bottom: 8px;    
    text-align: center;
    /*vertical-align: middle;*/
    /*line-height: 68px;     */
    font-size: 24px;
    font-weight: normal; /*bold;*/
}    

.myHeaderHeight
{
    height: 68px;
}

/*
.myDate {
  position: absolute;
  top: 34px;
  right: 200px;
  width: 200px;
  height: 34px;
}
.myTime {
  position: absolute;
  top: 34px;
  right: 0px;
  width: 200px;
  height: 34px;
}
*/
   
    
 
#viewsChart {
    width: 550px;
    height: 550px;
}


#centerPanel {
    /*height: 20em;*/
    color: #000000;    
}

#surPlus {
    width: 200px;    
}

.dojoxGrid table {
  margin: 0;
}

/* 2016.04.11 */
.claro .dojoxGridRow {
    background-color: #cccccc; /*#fff;*/
}



/* claro -> grayRow*/
.grayRow .dojoxGridRowTable tr {
    background-color: #cccccc; /*#fff;*/
}
.grayRow .dojoxGridRowOdd .dojoxGridRowTable tr {
   background-color: #cccccc;/*#f7fcff;*/
}
/* eof claro -> grayRow*/

/*.dijitContentPane .dijitBorderContainer-child .dijitBorderContainer-dijitContentPane .dijitBorderContainerPane .dijitAlignCenter .dijitContentPaneSingleChild 
{
    background-color: #cccccc;
}
.dijitSplitContainer-dijitContentPane, .dijitBorderContainer-dijitContentPane
{
    background-color: #cccccc;
}
*/

/*.claro .dijitSplitterH, */
.grayRow .dijitGutterH {
  background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
  border: 0 none;
  height: 0px;
}

/* claro -> grayRow*/
.grayRow .dojoxGrid .dojoxGridCell {
  -moz-border-bottom-colors: none;
  -moz-border-left-colors: none;
  -moz-border-right-colors: none;
  -moz-border-top-colors: none;
  border-color: transparent #cccccc #cccccc transparent; /*transparent #e5dac8 #e5dac8 transparent;*/
  border-image: none;
  border-style: solid;
  border-width: 1px;
  outline: medium none;
  padding: 3px 5px;
}

.grayRow .dojoxGridScrollbox {
  background-color: #cccccc; /*#FFFFFF  */
}

.grayRow .dijitToolbar {
   background-color: #cccccc;
}
/* eof claro -> grayRow*/

.myRefresh {
  background-image: url(refresh-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}
.myFirst {
  background-image: url(first-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}
.myLast {
  background-image: url(last-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}
.myNext {
  background-image: url(next-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}
.myPrevious {
  background-image: url(previous-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}
.myExcel {
  background-image: url(excel-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
/*  float: right;*/
}
.myAdd {
  background-image: url(add-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}

.mySettings {
  background-image: url(settings-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}

/*
.redRow {
  background-color:#800000 !important;
}
.greenRow {
  background-color:#008000 !important;
}
.blueRow {
  background-color:Navy !important;
}
.grayRow {
  background-color:#cccccc !important;
}

.myAllShips 
{
    text-decoration:underline;  
    color:red;
}
*/
.redFont {
    color:#800000;
}
.greenFont {
    color:#008000;
}
.blueFont {
    color:Navy;
}
.blackFont {
    color:black;
}

/*http://johnjardin.ukuvuma.co.za/2012/11/09/use-dojo-or-jquery-to-manipulate-printing-of-web-pages/*/
.printButton {
    background-image: url(printButton.png);
    background-repeat: no-repeat;
    cursor: pointer;
    cursor: hand;
    height: 20px;
    width: 20px;
    padding: 15px;
}

.myFilter {
  background-image: url(filter-icon.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  text-align: center;
}


/* šitos izmanto TableContainer */
/* http://jsfiddle.net/frank123/yu3ery3b/ */
.labelsAndValues-labelCell {
  padding-left: 0px;
  text-align: right;
}
.labelsAndValues-valueCell {
  padding-left: 5px;
}


.red-labelsAndValues-labelCell {
  padding-left: 0px;
  text-align: right;
  color: #800000;
}
.red-labelsAndValues-valueCell {
  padding-left: 5px;
}


.myStart {
  background-image: url(start-icon24.png);
  background-repeat: no-repeat;
  width: 24px;
  height: 24px;
  text-align: center;
}

